Bug 471988 - [Feature request] beta and alpha productnumber values
[Feature request] beta and alpha productnumber values
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 20:41 EST by Christopher Curran
Modified: 2010-11-23 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 00:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Curran 2008-11-17 20:41:17 EST
Description of problem:
Some products have ambiguous beta version names, some have downright crazy release schedules and some have written codenames for prerelease versions. In order to make maintainable beta versions which can be uploaded to the staging server in a sane fashion (ie not emailing release engineering 3 times a week) I propose that strings not entirely made up of numbers default to a productnumber value of zero. Using productnumber=0 presently works displaying a value of 0 in the title field. This feature request propose that the text in productnumber be written to the title field and the number 0 is used for the RPM file and brew values.

Version-Release number of selected component (if applicable):
.38

Additional info:
Should be an easy feature to add and Brian has agreed.
Comment 1 Jeff Fearn 2008-11-19 02:20:08 EST
I don't like this approach, if someone makes a typo in productnumber then PROD_VERSION gets set to a value they aren't expecting.

I think it would be better to allow users to override PROD_VERSION in the books Makefile.

The list of values we might consider letting people override are:

DOCNAME      (from title)
PRODUCT      (from productname)
PROD_VERSION (from productnumber)
RPM_VERSION  (from edition)
RPM_RELEASE  (from pubsnumber)

We would still enforce the current validity checks on these over ridden values, but not on the xml fields.
Comment 2 Christopher Curran 2008-11-19 02:43:34 EST
it's a fix. Sounds good. Make it so.
Comment 3 Jeff Fearn 2008-11-24 00:10:01 EST
After talking with Brian we agreed that the correct solution for this issue is to add a remark to the subtitle tag, enable remarks and use the other fields as normal.

e.g

in en-US/Book_Info.xml:

<subtitle>Everything in a nutshell<remark> 1.1 BETA 2</remark></subtitle>

in Makefile:

SHOW_REMARKS = 1

This displays the software's status in a clear, public location and ensures there is no ambiguity in the RPM subsystem's operation.

Note You need to log in before you can comment on or make changes to this bug.